Bug 194219 - [arm] mail/php5-imap fails configure stage
Summary: [arm] mail/php5-imap fails configure stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Many People
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-07 14:40 UTC by Sean Bruno
Modified: 2014-11-24 10:33 UTC (History)
2 users (show)

See Also:
sbruno: maintainer-feedback? (ale)


Attachments
patch-files_patch-src_osdep_unix_Makefile (626 bytes, patch)
2014-11-23 19:06 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Bruno freebsd_committer 2014-10-07 14:40:40 UTC
php5-imap configure is failing its tests:

configure:6629: result: no
configure:6640: checking whether build with IMAP works
configure:6684: /nxb-bin/usr/bin/cc -o conftest -O -pipe  -I/usr/local/include/php -I/usr/local/include/php/main -I/usr/local/include/php/TSRM -I/usr/local/include/php/Zend -I/usr/local/include/php/ext -I/usr/local/include/php/ext/date/l
ib  -L/usr/lib -lcrypto -lssl -Wl,-rpath,/usr/lib:/usr/local/lib conftest.c  -lcrypto -lssl -lcrypto -Wl,-rpath,/usr/local/lib -L/usr/local/lib -lc-client4 -lcrypt -lpam   >&5
/usr/local/lib/libc-client4.so: warning: warning: tmpnam() possibly used unsafely; consider using mkstemp()
/nxb-bin/usr/bin/ld: conftest: hidden symbol `__aeabi_memcpy' in /usr/lib/libgcc.a(aeabi_memcpy.o) is referenced by DSO
/nxb-bin/usr/bin/ld: final link failed: Nonrepresentable section on output
cc: error: linker command failed with exit code 1 (use -v to see invocation)
configure:6684: $? = 1
configure: program exited with status 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE_URL ""
| #define COMPILE_DL_IMAP 1
| #define HAVE_IMAP 1
| #define HAVE_IMAP2000 1
| #define HAVE_IMAP2004 1
| #define HAVE_NEW_MIME2TEXT 1
| #define HAVE_LIBPAM 1
| #define HAVE_LIBCRYPT 1
| #define HAVE_IMAP_SSL 1
| /* end confdefs.h.  */
| 
| 
| #if defined(__GNUC__) && __GNUC__ >= 4
| # define PHP_IMAP_EXPORT __attribute__ ((visibility("default")))
| #else
| # define PHP_IMAP_EXPORT
| #endif
| 
|     PHP_IMAP_EXPORT void mm_log(void){}
|     PHP_IMAP_EXPORT void mm_dlog(void){}
|     PHP_IMAP_EXPORT void mm_flags(void){}
|     PHP_IMAP_EXPORT void mm_fatal(void){}
|     PHP_IMAP_EXPORT void mm_critical(void){}
|     PHP_IMAP_EXPORT void mm_nocritical(void){}
|     PHP_IMAP_EXPORT void mm_notify(void){}
|     PHP_IMAP_EXPORT void mm_login(void){}
|     PHP_IMAP_EXPORT void mm_diskerror(void){}
|     PHP_IMAP_EXPORT void mm_status(void){}
|     PHP_IMAP_EXPORT void mm_lsub(void){}
|     PHP_IMAP_EXPORT void mm_list(void){}
|     PHP_IMAP_EXPORT void mm_exists(void){}
|     PHP_IMAP_EXPORT void mm_searched(void){}
|     PHP_IMAP_EXPORT void mm_expunged(void){}
| 
|     char mail_newbody();
|     int main() {
|       mail_newbody();
|       return 0;
|     }
| 
configure:6696: result: no
configure:6698: error: build test failed. Please check the config.log for details.
Comment 1 Bugzilla Automation freebsd_committer 2014-10-07 14:40:40 UTC
Auto-assigned to maintainer ale@FreeBSD.org
Comment 2 Alex Dupre freebsd_committer 2014-10-07 14:48:59 UTC
I cannot help you, I don't know what compiler you are using, but anyway I don't have an arm machine to test.
Comment 3 Andrew Turner freebsd_committer 2014-10-07 15:02:12 UTC
It looks like one of the libraries doesn't link against libgcc. This is a problem as it's symbols are hidden. This could be due to a port linking using ld directly. It may also be due to use the compiler to set up the link stage, but have the -nostdlib flag set.
Comment 4 Mikael Urankar freebsd_committer 2014-11-23 19:06:44 UTC
Created attachment 149751 [details]
patch-files_patch-src_osdep_unix_Makefile

mail/cclient is using ld directly.
mail/php5-imap builds fine with the attached patch (this is a patch against files/patch-src_osdep_unix_Makefile).

build logs:
http://mikael.urankar.free.fr/FreeBSD/arm/build_logs/cclient-2007f_1,1.log
http://mikael.urankar.free.fr/FreeBSD/arm/build_logs/php5-imap-5.4.34.log
Comment 5 Mikael Urankar freebsd_committer 2014-11-23 19:15:24 UTC
The patch is for mail/cclient
Comment 6 Alex Dupre freebsd_committer 2014-11-24 10:33:06 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2014-11-24 10:33:07 UTC
A commit references this bug:

Author: ale
Date: Mon Nov 24 10:32:26 UTC 2014
New revision: 373201
URL: https://svnweb.freebsd.org/changeset/ports/373201

Log:
  Fix linking with libgcc on arm.

  PR:		194219
  Submitted by:	sbruno, mikael.urankar@gmail.com

Changes:
  head/mail/cclient/Makefile
  head/mail/cclient/files/patch-src_osdep_unix_Makefile